#
# Module services
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

parameters:
  customer_gallery.stub_gallery.default: 0
  customer_gallery.stub_gallery: "%env(default:customer_gallery.stub_gallery.default:bool:CUSTOMER_GALLERY_STUB)%"

services:
  _defaults:
    autowire: true

  XC\CustomerGallery\Core\Provider\TestGalleryDataProvider:
    decorates: XC\CustomerGallery\Core\Provider\GalleryDataProvider
    arguments:
      $galleryDataProvider: '@.inner'
      $isEnabled: '@=parameter("customer_gallery.stub_gallery") ? true : false'

